import React,{Fragment} from 'react';
import {Icon, Tag} from 'antd';
import ItemModal from '../../../../components/ItemModal'
export default class UnitModal extends React.Component{
  constructor(props){
    super(props);
    this.state={
      value:{status:undefined},
      config:{
        title:'用户状态修改',
        render:[
          {
            type:'select',
            label:'状态',
            key: 'status',
            data:[{name:'正常',id:0},{name:'黑名单',id:1}],
            required:true,
          },
          {
            type:'textarea',
            label:'修改原因',
            key: 'remark',
            required:true,
          }
        ],
        dataSource:{}
      },
    }
  }
  modal;
  editStatusToggle=()=>{
    this.modal.showModal();
  };
  componentDidMount() {
    this.setState({
      value:this.props.value,
      config:Object.assign(this.state.config,{dataSource:this.props.value},{...this.props.config})
    })
  }
  componentWillReceiveProps(nextProps, nextContext) {
    this.setState({
      value:nextProps.value,
      config:Object.assign(this.state.config,{dataSource:nextProps.value},{...this.props.config})
    })
  }

  render() {
    return(
      <Fragment>
        <span>
          {
            (()=>{
              switch (this.state.value.status) {
                case 1:
                  return <Tag color="#404040">黑名单</Tag>;
                case 0:
                  return <Tag color="#9AD680">正常</Tag>;
              }
            })()
          }
          <Icon onClick={this.editStatusToggle} type="edit" />
        </span>
        <ItemModal ref={r=> this.modal =r}  config={this.state.config}/>
      </Fragment>
    )
  }
}
