const APP_HOST_URL = process.env.APP_HOST_URL;
const domain = window.location.host;
let AMS_API_URL;
switch (domain) {
    case 'os-ams.gamehaza.com':
        AMS_API_URL = process.env.AMS_API_URL_01;
        break;
    default:
        AMS_API_URL = process.env.AMS_API_URL_02;
        break;
}
const Api = {
    login: APP_HOST_URL + "/login", //登录
    addUser:APP_HOST_URL + "/user/add", //新增用户post
    getUserList:APP_HOST_URL + "/user/list", //获取用户列表post
    deleteUserList:APP_HOST_URL + "/user/del", //获取用户列表post
    rePwd:APP_HOST_URL + "/user/reset/pwd", //重置密码
    addWhite:APP_HOST_URL + "/white/add", //新增用户post
    getWhiteList:APP_HOST_URL + "/white/list", //获取用户列表post
    deleteWhiteList:APP_HOST_URL + "/white/del", //获取用户列表post
    setWhiteStatus:APP_HOST_URL + "/white/set/status", //白名单状态
    setUserStatus:APP_HOST_URL + "/user/set/status", //设置用户状态
    refreshToken:APP_HOST_URL + "/refresh/token", //刷新token
    logout:APP_HOST_URL + "/logout", //退出
    platformList:APP_HOST_URL + "/account/platform/list", //平台列表
    channelList:APP_HOST_URL + "/account/channel/list", //渠道列表
    currencyList:APP_HOST_URL + "/account/currency/list", //货币列表
    logList:APP_HOST_URL + "/account/log", //货币查询
    peopleAdd:APP_HOST_URL + "/warn/people/add", //预警人添加
    peopleList:APP_HOST_URL + "/warn/people/list", //预警人列表
    peopleEdit:APP_HOST_URL + "/warn/people/edit", //预警人编辑
    peopleDelete:APP_HOST_URL + "/warn/people/del", //预警人删除
    peopleStatus:APP_HOST_URL + "/warn/people/set/status", //预警人状态
    warnAdd:APP_HOST_URL + "/warn/config/add", //预警人配置添加
    warnEdit:APP_HOST_URL + "/warn/config/edit", //预警人配置编辑
    warnList:APP_HOST_URL + "/warn/config/list", //预警人配置编辑
    warnDelete:APP_HOST_URL + "/warn/config/del", //预警人配置删除
    warnStatusAll:APP_HOST_URL + "/warn/config/set/all/status", //预警人配置批量状态
    warnLog:APP_HOST_URL + "/warn/log", //预警通知
};
export default Api;
